pius_2.2.1-2_all.deb


Advertisement

Description

pius - utilities for signing GPG UIDs and prepare a signing party

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name pius
Package version 2.2.1
Package release 2
Package architecture all
Package type deb
Installed size 144 B
Download size 36.01 KB
Official Mirror archive.ubuntu.com
The PGP Individual UID Signer (PIUS) is a set of tools for individually
signing all of the UIDs on a set of keys and encrypt-emailing each
one to its respective email address. This drastically reduces the time
and errors involved in signing keys after a keysigning party.

Alternatives

Package Version Architecture Repository
pius_2.2.1-2_all.deb 2.2.1 all Ubuntu Universe
pius - - -

Requires

Name Value
gnupg -
gnupg2 -
python -
python:any << 2.8
python:any >= 2.7.5-5~

Download

Type URL
Binary Package pius_2.2.1-2_all.deb
Source Package pius

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install pius deb package:
    # sudo apt-get install pius

Files

Path
/usr/bin/pius
/usr/bin/pius-keyring-mgr
/usr/bin/pius-party-worksheet
/usr/bin/pius-report
/usr/lib/python2.7/dist-packages/pius-2.2.1.egg-info
/usr/lib/python2.7/dist-packages/libpius/__init__.py
/usr/lib/python2.7/dist-packages/libpius/constants.py
/usr/lib/python2.7/dist-packages/libpius/exceptions.py
/usr/lib/python2.7/dist-packages/libpius/mailer.py
/usr/lib/python2.7/dist-packages/libpius/signer.py
/usr/lib/python2.7/dist-packages/libpius/state.py
/usr/lib/python2.7/dist-packages/libpius/util.py
/usr/lib/python2.7/dist-packages/libpius/wotsap.py
/usr/share/doc/pius/NEWS.Debian.gz
/usr/share/doc/pius/README-keyring-mgr.md
/usr/share/doc/pius/README-report.md
/usr/share/doc/pius/README.md.gz
/usr/share/doc/pius/changelog.Debian.gz
/usr/share/doc/pius/copyright
/usr/share/man/man1/pius.1.gz

Changelog

2015-11-20 - David Martínez Moreno <ender@debian.org>
pius (2.2.1-2) unstable; urgency=low
* debian/patches:
- progress_pinentry_launched: Added from upstream to fix pius with new
versions of GnuPG (closes: #805649).
- typos,typos: Refreshed.
2015-10-10 - David Martínez Moreno <ender@debian.org>
pius (2.2.1-1) unstable; urgency=low
* New upstream release:
- The big change is that now GnuPG 2.x is the default and support for 1.x
is deprecated, to be removed in a later release.
- Significantly refactored code into more classes.
- Added pius-report, a utility for verifying if keys have been signed
after a party.
- Changed the default mode to use gpg-agent.
* debian/control:
- No news about Luke Cycon, so remove him from Uploaders.  Thanks for your
work, and feel free to return at any point!
- Added X-Python-Version.
- Added gnupg2 and prepare a NEWS file for hinting about the migration.
- Moved the section to utils.
* debian/NEWS: Added.
* debian/docs: Adjusted for the new names.
2015-07-29 - David Martínez Moreno <ender@debian.org>
pius (2.1.1-1) unstable; urgency=medium
* New upstream release:
- This version moves to always using long keyids internally for security.
We recommend setting keyid-format long in your ~/.gnupg/gpg.conf.
- This release also includes a variety of bugfixes and some significant
code refactoring.
- pius-party-worksheet has been fixed (closes: #766217).
* debian/patches/01_typos,typos: Refreshed.
* debian/control:
- Moved Luke Cycon <lcycon@gmail.com> to Uploaders, after 5 years without
any news from him, and take over as Maintainer.
- Bumped Standards-Version to 3.9.6 (no changes).
- Added dh-python to Build-Depends.
* debian/watch: Added.
* debian/upstream: Added Phil's GPG key to validate pius' releases.
2014-04-08 - David Martínez Moreno <ender@debian.org>
pius (2.0.11-1) unstable; urgency=medium
* New upstream version (closes: #681939):
- Added pius-keyring-mgr, a new utility for managing keyrings, mostly
useful for party organizers.
- Added pius-party-worksheet. Previously this was offered on the site, but
not as part of this package. Generates party worksheets.
- Skip expired UIDs and JPG UIDs.
- Made the mail library more robust and switch by default to TLS.
- Tons of other fixes for uncommon configs.
* debian/control:
- Add myself as an Uploader.
- Add Alioth git repo.
- Depend on dh 9.
- Add proper dependencies for dh_python2.
* debian/install: Install the two new utilities.
* debian/compat: Bump it to 9.
* debian/pius.1: Update the man page.  Thanks, Philipp Matthias Hahn
(closes: #602588).  Fixed some additional typos on top of that.
* debian/patches/01_typos,typos.patch: Added to fix Phil's lovely typos.
* debian/rules: Added --with python2.
* debian/docs: Added README.keyring-mgr.
* debian/copyright: Rewrote it from scratch in DEP-5 format, dropped the
"exception" (it's not such an exception but just a confirmation that he
wants just GPL-2, not a later one.)  Dropped the Lintian overrides too.
2010-08-08 - Luke Cycon <lcycon@gmail.com>
pius (2.0.7-2) unstable; urgency=low
* Add README to debian/docs (Closes: #592304)
- Thanks to Eric Dorland for noticing its absence
* Bump Standards-Version: No changes.
2010-03-13 - Luke Cycon <lcycon@gmail.com>
pius (2.0.7-1) unstable; urgency=low
* Initial release (Closes: #573784)

See Also

Package Description
piwi_0.8+20041206-3_all.deb P(erl|relude) IDS Web Interface - A frontend to your Prelude database
pixbros_0.6.3-1_all.deb 2D game inspired in Bubble Bobble, Snow Bros and Tumble Pop
pixelize_1.0.0-1_amd64.deb Create an image consisting of many small images
pixelmed-apps_20140816-1_all.deb DICOM implementation containing Image Viewer and a ECG Viewer - jnlp
pixelmed-webstart-apps_20140816-1_all.deb DICOM implementation containing Image Viewer and a ECG Viewer - jnlp
pixelmed-www_20140816-1_all.deb DICOM implementation containing Image Viewer and a ECG Viewer - jnlp
pixfrogger_1.0-2_all.deb help the frog cross the street
pixmap_2.6pl4-18ubuntu1_amd64.deb A pixmap editor
pixz_1.0.6-2_amd64.deb parallel, indexing XZ compressor/decompressor
pk-update-icon_2.0.0-1_amd64.deb Displays an update-notification tray icon
pkcs11-data_0.7.4-2_amd64.deb Manage PKCS#11 data objects
pkcs11-dump_0.3.4-1.1_amd64.deb Dump PKCS#11 token content
pkg-components_0.8_all.deb debhelper tool to help maintain bundles
pkg-config-aarch64-linux-gnu_5.3.1-1ubuntu1_amd64.deb manage compile and link flags for libraries for arm64 architecture
pkg-config-alpha-linux-gnu_5.3.1-1ubuntu1_amd64.deb manage compile and link flags for libraries for alpha architecture
Advertisement
Advertisement